#!/bin/bash

PROGDIR=${HOME}/programs/GOES

for YYYY in 2005 ; do
for MM in 04; do
for DD in 02 ; do
for HH in 08 ; do

  SAT=12

  wget ftp://goes.cr.chiba-u.ac.jp/goes-e/grid-GOES-1.0/GOES${SAT}/${YYYY}${MM}/${YYYY}${MM}${DD}${HH}45??.tar.bz2

  if [ ! \( -e ${YYYY}${MM}${DD}${HH}????.tar.bz2 \) ] ; then
    echo "${YYYY}${MM}${DD}${HH}" >> nofiles.txt
  else
    MISS=`ls ${YYYY}${MM}${DD}${HH}????.tar.bz2 | cut -c11-14`
    MI=`ls ${YYYY}${MM}${DD}${HH}????.tar.bz2 | cut -c11-12`
    tar xfj ${YYYY}${MM}${DD}${HH}${MISS}.tar.bz2 ; rm ${YYYY}${MM}${DD}${HH}${MISS}.tar.bz2

    for CH in 2 3 4 6 ; do
      NAME=G${SAT}-${YYYY}${MM}${DD}${HH}${MISS}
      dd if=${NAME}_ch${CH}.geoss of=little.geoss conv=swab ;rm ${NAME}_ch${CH}.geoss
      ${PROGDIR}/count2tbb little.geoss ${PROGDIR}/CalibTable-1.0/goes${SAT}-ch${CH}-det1.txt
      mv tbb_little.geoss tbb_${NAME}_ch${CH}.geoss

      rm little.geoss
    done
  fi
done
done
done
done
